﻿using System;
using System.Web.UI;
using ThinkGeo.MapSuite.Core;

namespace Post8557
{
    public partial class _Default : Page
    {
        protected void Page_Load(object sender, EventArgs e)
        {
            if (!IsPostBack)
            {
                Map1.MapUnit = GeographyUnit.DecimalDegree;
                Map1.CurrentExtent = new RectangleShape(-118.098, 84.3, 118.098, -84.3);

                GeoTiffRasterLayer worldLayer = new GeoTiffRasterLayer(Server.MapPath(@"~\App_Data\World.tif"))
                {
                    // this is the property we mentioned to changed to use unmanaged library.
                    LibraryType = GeoTiffLibraryType.UnmanagedLibTiff,
                    UpperThreshold = double.MaxValue,
                    LowerThreshold = 0,
                    IsGrayscale = false
                };

                Map1.StaticOverlay.Layers.Add(worldLayer);
            }
        }
    }
}
